import { EventEmitter, OnInit } from '@angular/core';
export declare class BcacLegendToolboxComponent implements OnInit {
    constructor();
    ngOnInit(): void;
    visible: boolean;
    closeDropDownMenu(): void;
    dropMenuPanelWidth: string;
    bcacDropMenuPanelWidth: string;
    selectValue: any[];
    bcacSelectValue: any[];
    bcacSelectValueEmit: EventEmitter<any>;
    updateSelectValue(): void;
    allChecked: boolean;
    indeterminate: boolean;
    updateAllChecked(): void;
    updateSingleChecked(): void;
}
